Subject: [manet] "IP Flooding in Ad hoc Mobile Networks"

From: "Charles E.Perkins" <[email-masked]>
Date: Mon, 27 Jun 2005 12:58:50 -0700

Hello folks,

I have revised a draft which was previously submitted
as a working group document, dealing with broadcast
in ad hoc networks at the network layer.  The title
of the document is as shown in the Subject: line,
and the filename is:
	draft-perkins-manet-bcast-03.txt
It is available now at:
	http://people.nokia.net/charliep/txt/manet/bc.txt

Since I wasn't sure whether this document was still
considered as a working group document, I renamed it
to be an individual submission.  However, of course
I would be happy if it were (re-)accepted as a
working group document.

The document focuses on enabling broadcast packets
to be identified, so that a node can identify those
broadcasts which it has already transmitted.  Nodes
have to do this to avoid unnecessarily duplication
of their transmissions of such broadcast packets.

Strictly speaking, this only applies to situations
for which the TTL of the packet is greater than 1.
If TTL == 1, then of course the node isn't going to
retransmit the broadcast anyway.

Whether or not packets sent to the broadcast address
with TTL > 1 are to be considered useful, is a matter
worthy of serious discussion.  The downside is that
such broadcasts are forwarded by every node without
any higher-level processing.  Usually, and in particular
for DYMO and AODV, the routing code has to fiddle with
the payload before retransmission can take place for
flooded packets.  For this reason, the aforementioned
protocols always use TTL == 1.

It is also important to distinguish between "broadcast"
and "flooding".  I think the former means "transmission
to IP address 255.255.255.255", and the latter means
"transmission intended to reach every node in the ad
hoc network".  For "restricted flooding" as required
for example by expanding ring search algorithm, the
latter definition has to be modified to say something
obvious but more complicated to express.

Having said all that, I hope that the Internet Draft
I have submitted will have some positive value for
the discussion of "flooding" as well as the simple
network-layer broadcast scenario that the draft is
particularly targeted towards.  The same considerations
will apply to "universal" multicast groups such as
ALL_IPv4_NODES and ALL_IPv6_NODES etc., including the
proposed multicast groups for all nodes that perform
a routing protocol such as DYMO.  The method for
identifying broadcast packets could (and, I think,
should) be used for also identifying flooded packets.
However, the data to be used in the computation
has to be specified so that irrelevant fields (e.g.,
the source IP address) or mutable fields (e.g., when
TTL == 1, the IP ident field) are excluded.

Lastly, I would like to emphasize that this draft is
explicitly intended for use with other protocols
that reduce the number of nodes which will retransmit
broadcast (or flooded) packets, for instance by way of
selecting MPRs for the job.  Thus, before a node
retransmits a broadcast packet, it has to not only
identify that broadcast packet but also check to
see whether it is itself enabled as a retransmitting
node (e.g., whether it is a backbone node).

Regards,
Charlie P.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet